Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.cv
Interface ControlVariable

All Known Implementing Classes:
  NumArrivalsCV

    public interface ControlVariable

Represents a type of control variable that can be applied on all performance measures supported by a call center simulator. An implementation of this interface obtains (or computes) observations of a centered control variable (m, r, c) = C(m, r, c) - E[C(m, r, c)] for performance measure type m, row r, and column c. Obtaining the centered CVs is usually done by querying some statistical collectors, but sometimes, sums may be computed. The exact control variable used might depend on the performance measure, e.g., the number of arrivals for calls of a given type, and the expectation might change from observations to observations. The only important point is to have E[(m, r, c)] = 0 for each observation when the CV is applicable.

Method Summary
`boolean` | `appliesTo(PerformanceMeasureType pm)` Determines if this control variable can be applied to the type `pm` of performance measure.
`boolean` | `appliesTo(SimLogic sim, PerformanceMeasureType pm, int row, int col)` Tests if the control variable can be applied to the performance measure of type `pm` at row `row` and column `column` when using the simulation logic `sim`.
`double` | `getObs(SimLogic sim, CallCenterStatProbes inStat, PerformanceMeasureType pm, int row, int col, int index)` Returns the centered observation with index `index` of the control variable used for the type of performance measure `pm` at row `row` and column `col`.
`void` | `init(SimLogic sim)` Initializes any data structure used by this control variable.
`int` | `numberObs(SimLogic sim, CallCenterStatProbes inStat, PerformanceMeasureType pm, int row, int col)` Returns the number of observations for the control variable used for the performance measure of type `pm`, at row `row` and column `col`.

Method Detail

### appliesTo

    boolean appliesTo(PerformanceMeasureType pm)

  Determines if this control variable can be applied to the type `pm` of performance measure.

  Parameters:
    `pm` - the type of performance measure.
  Returns:
    `true` if the control variable can be applied, `false` otherwise.

### appliesTo

    boolean appliesTo(SimLogic sim,
                      PerformanceMeasureType pm,
                      int row,
                      int col)

  Tests if the control variable can be applied to the performance measure of type `pm` at row `row` and column `column` when using the simulation logic `sim`.

  Parameters:
    `sim` - the simulation logic.
    `pm` - the type of performance measure.
    `row` - the row index.
    `col` - the column index.
  Returns:
    the result of the test.

### numberObs

    int numberObs(SimLogic sim,
                  CallCenterStatProbes inStat,
                  PerformanceMeasureType pm,
                  int row,
                  int col)

  Returns the number of observations for the control variable used for the performance measure of type `pm`, at row `row` and column `col`. If no control variable of the type represented by this implementation is used with the specified performance measure, this returns 0.

  Parameters:
    `sim` - the simulation logic.
    `inStat` - the call center statistics.
    `pm` - the type of performance measure.
    `row` - the row index.
    `col` - the column index.
  Returns:
    the number of observations of the control variable.

### getObs

    double getObs(SimLogic sim,
                  CallCenterStatProbes inStat,
                  PerformanceMeasureType pm,
                  int row,
                  int col,
                  int index)

  Returns the centered observation with index `index` of the control variable used for the type of performance measure `pm` at row `row` and column `col`.

  Parameters:
    `sim` - the simulation logic.
    `inStat` - the call center statistics.
    `pm` - the type of performance measure.
    `row` - the row index.
    `col` - the column index.
    `index` - the index of the observation.
  Returns:
    the observation.

### init

    void init(SimLogic sim)

  Initializes any data structure used by this control variable.

  Parameters:
    `sim` - the simulation logic.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.